Delete a Wallet
curl --request DELETE \
--url https://api.spherepay.co/v2/wallet/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.spherepay.co/v2/wallet/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.spherepay.co/v2/wallet/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true
}{
"status": 400,
"detail": "Invalid request parameters",
"code": "address/invalid",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c"
}{
"status": 404,
"detail": "Resource not found",
"code": "resource/not-found",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c"
}{
"status": 422,
"detail": "Validation failed",
"code": "validation/failed",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c",
"errors": [
{
"detail": "Invalid email format",
"pointer": "/email"
},
{
"detail": "Name is required",
"pointer": "/name"
}
]
}Billeteras
Eliminar una Billetera Cripto del Cliente Registrada
Delete a wallet by its ID
Delete a Wallet
Usa este endpoint para eliminar permanentemente una billetera registrada de SpherePay. Una vez eliminada, el ID de billetera ya no puede usarse en solicitudes de transferencia. No puedes eliminar una billetera que esté referenciada como origen o destino de cualquier transferencia activa o pendiente.
Esta acción es irreversible. Asegúrate de que ninguna transferencia activa o pendiente haga referencia a esta billetera antes de eliminarla.
Autorizaciones
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Parámetros de ruta
The wallet ID
Minimum string length:
1Ejemplo:
"wallet_ce745ef7f3df4b9a8bff1301ce24b045"
Respuesta
Indicates whether the deletion was successful
Ejemplo:
true
Última modificación el 22 de junio de 2026
⌘I